Subject: Re: [PATCH v3 0/4] refs/files: fix issues with git-fetch on case-insensitive FS

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 Sep 2025 07:34:23 -0700

Karthik Nayak <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> Karthik Nayak <[email-masked]> writes:
>>
>>> Changes in v3:
>>> - Rename duplicate_reference_case_cmp() to
>>>   transaction_has_case_conflicting_update() and add comments.
>>> - Improve commit messages.
>>> - Add an additional test in the 4th commit to showcase D/F conflicts in
>>>   case-sensistive file systems.
>>> - Link to v2: https://lore.kernel.org/r/20250908-587-git-fetch-1-[email-masked]
>>
>> I think I like this "latest first and then historical" order in the
>> cover letter much better than the other way around.
>>
>> I see that this topic is pretty much done?  There still are a few
>> questions from Justin's reply that may want to be answered, but I
>> have a feeling that the answer to them would not require a new
>> iteration.
>>
>> Looking good.  Thanks.
>
> I did respond to Justin, I think there were a few small nits around
> grammar in the commit messages and a question around error reporting.

Well, if it is already locally ready, let's have a quick "small and
final" update before merging it to 'next'.

Thanks.